libetonyek::IWORKColorElement Class Reference documentation

Public Member Functions | Protected Member Functions | Private Attributes | List of all members
libetonyek::IWORKColorElement Class Reference

`#include <IWORKColorElement.h>`

Inheritance diagram for libetonyek::IWORKColorElement:

## Public Member Functions
| IWORKColorElement (IWORKXMLParserState &state, boost::optional< IWORKColor > &color)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextEmpty, IWORKXMLParserState >
| IWORKXMLContextBase (IWORKXMLParserState &state)
| IWORKXMLContextBase (IWORKXMLParserState &state, const T &a)
IWORKXMLParserState & | getState ()
| IWORKXMLContextBase (IWORKXMLParserState &state)
| IWORKXMLContextBase (IWORKXMLParserState &state, const T &a)
IWORKXMLParserState & | getState ()
Public Member Functions inherited from libetonyek::IWORKXMLContext
virtual | ~IWORKXMLContext ()=0
virtual void | CDATA (const char *value)
| Process CDATA content of an element.

## Protected Member Functions
void | attribute (int name, const char *value) override
| Process an attribute.
IWORKXMLContextPtr_t | element (int name) override
| Create a context for parsing a child element.
void | endOfElement () override
| Signalize the end of an element.
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextEmpty, IWORKXMLParserState >
IWORKCollector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
IWORKCollector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Member Functions inherited from libetonyek::IWORKXMLContextEmpty
| IWORKXMLContextEmpty (IWORKXMLParserState &)
void | attribute (int name, const char *value) override
| Process an attribute.
IWORKXMLContextPtr_t | element (int token) override
| Create a context for parsing a child element.
void | text (const char *value) override
| Process textual content of an element.
const boost::optional< ID_t > & | getId () const
void | setId (const char *value)
const boost::optional< ID_t > & | getRef () const
Protected Member Functions inherited from libetonyek::IWORKXMLContextMinimal
| IWORKXMLContextMinimal ()
void | startOfElement () override
| Signalize the start of an element.
void | endOfElement () override
| Signalize the end of an element.

## Private Attributes
boost::optional< IWORKColor > & | m_color
std::string | m_type
double | m_r
double | m_g
double | m_b
double | m_w
double | m_c
double | m_m
double | m_y
double | m_k
double | m_a

## Additional Inherited Members
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextEmpty, IWORKXMLParserState >
IWORKXMLParserState & | m_state
IWORKXMLParserState & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKColorElement()

libetonyek::IWORKColorElement::IWORKColorElement | ( | IWORKXMLParserState & | state,
|  | boost::optional< IWORKColor > & | color )

## Member Function Documentation

## ◆ attribute()

void libetonyek::IWORKColorElement::attribute | ( | int | name,
|  | const char * | value )
| overrideprotectedvirtual

Process an attribute.

Attributes are fed to the current element's context one by one.

Implements libetonyek::IWORKXMLContext.

## ◆ element()

IWORKXMLContextPtr_t libetonyek::IWORKColorElement::element | ( | int | name | ) |
| overrideprotectedvirtual

Create a context for parsing a child element.

Returns
  A new context or an empty pointer if the child element cannot be handled.

Implements libetonyek::IWORKXMLContext.

## ◆ endOfElement()

void libetonyek::IWORKColorElement::endOfElement | ( |  | ) |
| overrideprotectedvirtual

Signalize the end of an element.

Implements libetonyek::IWORKXMLContext.

## Member Data Documentation

## ◆ m_a

double libetonyek::IWORKColorElement::m_a
| private

Referenced by attribute(), endOfElement(), and IWORKColorElement().

## ◆ m_b

double libetonyek::IWORKColorElement::m_b
| private

Referenced by attribute(), endOfElement(), and IWORKColorElement().

## ◆ m_c

double libetonyek::IWORKColorElement::m_c
| private

Referenced by attribute(), endOfElement(), and IWORKColorElement().

## ◆ m_color

boost::optional<IWORKColor>& libetonyek::IWORKColorElement::m_color
| private

Referenced by endOfElement(), and IWORKColorElement().

## ◆ m_g

double libetonyek::IWORKColorElement::m_g
| private

Referenced by attribute(), endOfElement(), and IWORKColorElement().

## ◆ m_k

double libetonyek::IWORKColorElement::m_k
| private

Referenced by attribute(), endOfElement(), and IWORKColorElement().

## ◆ m_m

double libetonyek::IWORKColorElement::m_m
| private

Referenced by attribute(), endOfElement(), and IWORKColorElement().

## ◆ m_r

double libetonyek::IWORKColorElement::m_r
| private

Referenced by attribute(), endOfElement(), and IWORKColorElement().

## ◆ m_type

std::string libetonyek::IWORKColorElement::m_type
| private

Referenced by attribute(), endOfElement(), and IWORKColorElement().

## ◆ m_w

double libetonyek::IWORKColorElement::m_w
| private

Referenced by attribute(), endOfElement(), and IWORKColorElement().

## ◆ m_y

double libetonyek::IWORKColorElement::m_y
| private

Referenced by attribute(), endOfElement(), and IWORKColorElement().

The documentation for this class was generated from the following files:

- IWORKColorElement.h
- IWORKColorElement.cpp